import { BlockTag } from "@ethersproject/abstract-provider";
import { BigNumber, providers, Signer } from "ethers";
import { L1Token } from "../interfaces";
type SignerOrProvider = providers.Provider | Signer;
export declare function fetchTokenInfo(address: string, signerOrProvider: SignerOrProvider): Promise<L1Token>;
export declare const getL2TokenAddresses: (l1TokenAddress: string) => {
    [chainId: number]: string;
} | undefined;
/**
 * Returns the contract address for a given token symbol and chainId.
 * @param symbol A case-insensitive token symbol.
 * @param chainId The chainId to resolve the contract address for.
 * @returns The contract address for the given token symbol and chainId, or undefined if the token symbol is not supported.
 */
export declare const resolveContractFromSymbol: (symbol: string, chainId: string) => string | undefined;
export declare function getTokenInformationFromAddress(address: string): L1Token | undefined;
/**
 * Retrieves the ERC20 balance for a given address and token address.
 * @param address The address to retrieve the balance for.
 * @param tokenAddress The token address
 * @param signerOrProvider A valid ethers.js Signer or Provider object.
 * @param blockTag The block tag to retrieve the balance at.
 * @returns The balance of the given address for the given token address.
 */
export declare function getTokenBalance(address: string, tokenAddress: string, signerOrProvider: SignerOrProvider, blockTag?: BlockTag): Promise<BigNumber>;
export {};
//# sourceMappingURL=TokenUtils.d.ts.map